Next: BESSEL_JN, Previous: BESSEL_J0, Up: Intrinsic Procedures [Contents][Index]

### 9.41 `BESSEL_J1` — Bessel function of the first kind of order 1

Description:

  `BESSEL_J1(X)` computes the Bessel function of the first kind of order 1 of X. This function is available under the name `BESJ1` as a GNU extension.

Standard:

  Fortran 2008

Class:

  Elemental function

Syntax:

  `RESULT = BESSEL_J1(X)`

Arguments:

  X | The type shall be `REAL`.

Return value:

  The return value is of type `REAL` and lies in the range - 0.5818... \leq Bessel (0,x) \leq 0.5818 . It has the same kind as X.

Example:

      program test_besj1
        real(8) :: x = 1.0_8
        x = bessel_j1(x)
      end program test_besj1

Specific names:

  Name | Argument | Return type | Standard
  `DBESJ1(X)` | `REAL(8) X` | `REAL(8)` | GNU extension